/**
 * Copyright (C) 2007-2011 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SERVICES_H
#define SERVICES_H

#include <glib.h>

#define SERVICES_CONFFILE "/cdrom/boot.cfg"

GList *services_blacklist_list (void);
GList *services_is_blacklisted (GList *list,
                                const gchar *service);
GList *services_blacklist_add  (GList *list,
                                const gchar *service,
                                gboolean action);
GList *services_blacklist_del  (GList *list,
                                const gchar *service,
                                gboolean action);
void   services_blacklist_free (GList *list);

#endif /* SERVICES_H */
